package spring.sample.ioc.sample3.before;

/**
 * AServiceはBService ,もしくはNewBServiceクラスに依存しています<br>
 * <br>
 * @author MBeans
 * @version 1.0
 */
public class AService {
	private BService service;

	public void setService(BService service) {
		this.service = service;
	}

	/* 以下は、新しいService用のコードです。
	
	private NewBService service;
	
	public void setService(NewBService service) {
		this.service = service;
	}
	
	*/

	public String execute() {
		return service.foo();
	}
}
